Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Unbounded_Queue.h File Reference

`#include "ace/Node.h"`
`#include "ace/os_include/os_stddef.h"`
`#include "ace/Unbounded_Queue.inl"`
`#include "ace/Unbounded_Queue.cpp"`

Include dependency graph for Unbounded_Queue.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Unbounded_Queue_Iterator< T >
| Implement an iterator over an unbounded queue. More...
class | ACE_Unbounded_Queue_Const_Iterator< T >
| Implement an iterator over an const unbounded queue. More...
class | ACE_Unbounded_Queue< T >
| A Queue of "infinite" length. More...

## Detailed Description

Id
  Unbounded_Queue.h,v 4.11 2005/10/28 23:55:10 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>